<?
function db_update_188_pre() 
{
}

function db_update_188_post()
{
	global $config;
	$q=mysql_query("SELECT * FROM config WHERE var='fairname' AND year>0 ORDER BY year");
	while($r=mysql_fetch_object($q)) {
		echo "  Creating conference: $r->val $r->year\n";
		mysql_query("INSERT INTO conferences (`name`,`type`,`status`,`year`) VALUES ('".mysql_real_escape_string($r->val." ".$r->year)."',
			'sciencefair',
			'ended',
			'$r->year')");
	}
	//but wait, the current fairyear is still running
	echo "   Setting science fair conference for {$config['FAIRYEAR']} to running\n";
	mysql_query("UPDATE conferences SET status='running' WHERE year='{$config['FAIRYEAR']}'");


}

?>
